/* WHY THIS NOT WORKIN! in asset.php */
tr {
    vertical-align: top;
}

table#tableForm {
    /*border-collapse: collapse; */
    vertical-align: top;

    color: #555;
    background-color: #f0f8ff;
    padding: 0.2em;
    border: 1px solid #ccc;
    border-radius: 0.5rem;
}
.tableFormRow {
    vertical-align: top;
    font-size: 1.1em;
}
.tableFormRow td {
    vertical-align: top;
    padding-top: 0.25em;
    padding-bottom: 0.25em;
}

.inputTextbox {
	width: 90%;
	font-size: 1.2rem;
    text-align: left;
	height: 2.0rem;
	background-color: #fff;
    border: 1px solid #ddd;
    margin: 1px;
}

.inputTextarea {
	width: 100%;
	font-size: 1.2rem;
	height: 5rem;
	background-color: #fbfbfb;
    border: 1px solid #ddd;
    margin: 1px;
}

.inputDate {
    width: 14rem;
	font-size: 1.2rem;
    text-align: center;
	height: 2.0rem;
	background-color: #efe;
    border: 1px solid #ddd;
    margin: 1px;
}

.inputInt {
	width: 8rem;
	font-size: 1.2rem;
	height: 2.0rem;
	background-color: #fcfcc8;
    border: 1px solid #ddd;
    margin: 1px;
}

.inputChk {
	font-size: 0.9em;
    transform: scale(1.2);
 	background-color: #fcfcc8;
    border: 1px solid #ddd;
    margin: 0.5em;
}

.inputDrop {
	font-size: 1.2rem;
	height: 2.0rem;
	background-color: #fff;
    border: 1px solid #ddd;
    margin: 1px;
}

.researchGrp {
    background-color: lightpink;
}

.inputData {
	font-size: 1.2rem;
	height: 2.0rem;
    width: 70%;
	background-color: #fff;
    border: 1px solid #ddd;
    margin: 1px;
}

.sameline {
    display: inline;
    padding: 0.15rem 0.5rem;
    background-color: #e4fde4;
    border: 1px solid #ddd;
    margin: 0.2rem;
}




/*
An edited extract from the stackpath website
*/

.wrapper{
    width: 380px;
    padding: 20px;
    margin-left: 2em;
}

.invalid-feedback {
    width:100%;
    margin-top:.25rem;
    font-size:80%;
    color:#dc3545
}

.alert {
    position:relative;
    padding:.75rem 1.25rem;
    margin-bottom:1rem;
    border:1px solid transparent;
    border-radius:.25rem
}

.alert-danger {
    color:#721c24;
    background-color:#f8d7da;
    border-color:#f5c6cb
}

.btn {
    display:inline-block;
    font-weight:400;
    color:#212529;
    text-align:center;
    vertical-align:middle;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
    background-color:transparent;
    border:1px solid transparent;
    padding:.375rem .75rem;
    font-size:1rem;
    line-height:1.5;
    border-radius:.3rem;
    transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out
}

/*
@media (prefers-reduced-motion:reduce){.btn{transition:none}}
*/

.btn:hover {
    color:#212529;
    text-decoration:none
}

/*
.btn.focus,.btn:focus{outline:0;box-shadow:0 0 0 .2rem rgba(0,123,255,.25)}
*/

.btn-primary {
    font-size: 1.1em;

    color:#fff;
    background-color:#0069d9;
    border-color:#0062cc
}

.btn-primary:hover {
    color:#fff;
    background-color:#007bff;
    /*border-color:#007bff*/
}


 
.form-group {
    margin-bottom:1rem
}

.form-control {
    display:block;
    width:100%;
    height:calc(1.5em + .75rem + 2px);
    padding:.375rem .75rem;
    font-size:1rem;
    font-weight:400;
    line-height:1.5;
    color:#495057;
    background-color:#fff;
    background-clip:padding-box;
    border:1px solid #ced4da;
    border-radius:.25rem;
    transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out
}

.is-invalid {
    border-color:#dc3545;
}

.form-control2 {
    display:inline-block;
    width: 7%;
    height: 1.5em;
    padding:.375rem .75rem;
    font-size:1rem;
    font-weight:400;
    line-height:1.5;
    color:#495057;
    background-color:#fff;
    background-clip:padding-box;
    border:1px solid #ced4da;
    border-radius:.25rem;
    transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out
}

/* asset.php */
.subHeading {
    font-size: 1.1em;
    background-color: #d5f890;

    color: #4d4b4b;
}
.subHeading:hover {
    cursor: pointer;
    background-color: #c9ebf7;
}
.subHeadingCell {
    padding: 0.1em 0.9em;
    border: 1px solid #aaa;
    border-radius: 0.3rem;
}

.updown {
    float: right;
    color: #bbb;
    font-size: 0.7em;
}


.allFields {
    display: inline-block;
    color: #888;
    background-color: #d5f890;
    border: 1px solid #999;
    border-radius: 0.3em;
    padding: 0.01em 1em;
    cursor: pointer;
}
.allFields:hover {
    color: #000;
}


#save {
    display: inline-block;
}
#fin80copy {
    display: inline-block;
}

.highlight {
    background:#def;
    padding: 0.1em 1em;
    border: 1px solid #bbb;
}


.tblLink {
    background-color: #c3ebf8;
    padding: 0 1rem;
    margin: 10px;
    border-radius: 0.3rem;
    border: 1px solid #ccc;
}
.tblLink:hover {
    background-color: #fcb8b8;
}